# rpcap_stats Struct Reference
[Internal Structures and Definitions]

Structure that keeps the statistics about the number of packets captured, dropped, etc. More...

`#include <pcap-remote.h>`

## Data Fields

uint32 | ifrecv
| Packets received by the kernel filter (i.e. pcap_stats.ps_recv).
uint32 | ifdrop
| Packets dropped by the network interface (e.g. not enough buffers) (i.e. pcap_stats.ps_ifdrop).
uint32 | krnldrop
| Packets dropped by the kernel filter (i.e. pcap_stats.ps_drop).
uint32 | svrcapt
| Packets captured by the RPCAP daemon and sent on the network.

## Detailed Description

Structure that keeps the statistics about the number of packets captured, dropped, etc.

Definition at line 259 of file pcap-remote.h.

## Field Documentation

uint32 ifdrop

Packets dropped by the network interface (e.g. not enough buffers) (i.e. pcap_stats.ps_ifdrop).

Definition at line 262 of file pcap-remote.h.

uint32 ifrecv

Packets received by the kernel filter (i.e. pcap_stats.ps_recv).

Definition at line 261 of file pcap-remote.h.

uint32 krnldrop

Packets dropped by the kernel filter (i.e. pcap_stats.ps_drop).

Definition at line 263 of file pcap-remote.h.

uint32 svrcapt

Packets captured by the RPCAP daemon and sent on the network.

Definition at line 264 of file pcap-remote.h.

The documentation for this struct was generated from the following file:

- pcap-remote.h

documentation. Copyright (c) 2002-2005 Politecnico di Torino. Copyright (c) 2005-2009 CACE Technologies. All rights reserved.